{% sw_extends '@Storefront/storefront/component/product/card/box-standard.html.twig' %}

{% block component_product_box_content %}
	<div class="card-body p-0">
		{% block component_product_box_badges %}
			{{ parent() }}
		{% endblock %}
		
		{% block component_product_box_rich_snippets %}
			{{ parent() }}
		{% endblock %}
		
		{% block component_product_box_image %}
			<div class="product-image-wrapper bg-light p-3">
				{% if product.translated.keywords %}
					<div class="product-badge">
						{{product.translated.keywords}}
					</div>
				{% endif %}
				{# fallback if display mode is not set #}
				{% set displayMode = displayMode ?: 'standard' %}
				
				{# set display mode 'cover' for box-image with standard display mode #}
				{% if layout == 'image' and displayMode == 'standard' %}
					{% set displayMode = 'cover' %}
				{% endif %}
				
				<a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
				   title="{{ name }}"
				   class="product-image-link is-{{ displayMode }}">
					{% if cover.url %}
						{% set attributes = {
							'class': 'product-image is-'~displayMode,
							'alt': (cover.translated.alt ?: name),
							'title': (cover.translated.title ?: name)
						} %}
					
						{% if displayMode == 'cover' or displayMode == 'contain' %}
							{% set attributes = attributes|merge({ 'data-object-fit': displayMode }) %}
						{% endif %}
					
						{% sw_thumbnails 'product-image-thumbnails' with {
							media: cover,
							sizes: {
								'xs': '501px',
								'sm': '315px',
								'md': '427px',
								'lg': '333px',
								'xl': '376px'
							}
						} %}
					{% else %}
						<div class="product-image-placeholder">
							{% sw_icon 'placeholder' style {
								'size': 'fluid'
							} %}
						</div>
					{% endif %}
				</a>
			</div>
		{% endblock %}
		
		{% block component_product_box_info %}
			{{ parent() }}
		{% endblock %}
		
	</div>
	
	
{% endblock %}


{% block component_product_box_name %}
	<a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
		class="product-name {{product.translated.customFields.custom_productfield_color}}"
		title="{{ name }}">
		{{ name }}
	</a>
{% endblock %}

{% block component_product_box_price %}
	{{ parent() }}
{% endblock %}